"use strict";

exports.__esModule = true;
exports.useStaticResolver = void 0;

var _react = require("react");

var _use_client = require("./use_client");

var useStaticResolver = function useStaticResolver() {
  var client = (0, _use_client.useClient)();
  return (0, _react.useCallback)(function (assetPath) {
    if (typeof assetPath === 'string') {
      return client.getStaticAssetUrl(assetPath);
    } else {
      return assetPath.map(function (path) {
        return client.getStaticAssetUrl(path);
      });
    }
  }, [client]);
};

exports.useStaticResolver = useStaticResolver;
//# sourceMappingURL=use_static_resolver.js.map